package com.ruoyi.interfaces.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
* entity:PtAppApply
*
* @author weking
* @date 2018-11-6
*/
public class PtAppApply implements Serializable {

    private String userId;

    private String appId;

    private String appName;

    private String appSecret;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date rqTime;

    private String rqUnit;

    private String rqName;

    private String rqCity;

    private String rqTele;

    private String rqMail;

    private String rqAddr;

    private String state;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date adTime;

    private String adUser;

    private String adId;

    public String getUserId() { return userId;}
    public void setUserId(String userId) { this.userId = userId;}

    public String getAppId() { return appId;}
    public void setAppId(String appId) { this.appId = appId;}

    public String getAppName() { return appName;}
    public void setAppName(String appName) { this.appName = appName;}

    public String getAppSecret() { return appSecret;}
    public void setAppSecret(String appSecret) { this.appSecret = appSecret;}

    public Date getRqTime() { return rqTime;}
    public void setRqTime(Date rqTime) { this.rqTime = rqTime;}

    public String getRqUnit() { return rqUnit;}
    public void setRqUnit(String rqUnit) { this.rqUnit = rqUnit;}

    public String getRqName() { return rqName;}
    public void setRqName(String rqName) { this.rqName = rqName;}

    public String getRqCity() { return rqCity;}
    public void setRqCity(String rqCity) { this.rqCity = rqCity;}

    public String getRqTele() { return rqTele;}
    public void setRqTele(String rqTele) { this.rqTele = rqTele;}

    public String getRqMail() { return rqMail;}
    public void setRqMail(String rqMail) { this.rqMail = rqMail;}

    public String getRqAddr() { return rqAddr;}
    public void setRqAddr(String rqAddr) { this.rqAddr = rqAddr;}

    public String getState() { return state;}
    public void setState(String state) { this.state = state;}

    public Date getAdTime() { return adTime;}
    public void setAdTime(Date adTime) { this.adTime = adTime;}

    public String getAdUser() { return adUser;}
    public void setAdUser(String adUser) { this.adUser = adUser;}

    public String getAdId() { return adId;}
    public void setAdId(String adId) { this.adId = adId;}


    @Override
    public String toString() {
        return "PtAppApply [" +
                "userId=" +  userId  +
                ", appId=" +  appId  +
                ", appName=" +  appName  +
                ", appSecret=" +  appSecret  +
                ", rqTime=" +  rqTime  +
                ", rqUnit=" +  rqUnit  +
                ", rqName=" +  rqName  +
                ", rqCity=" +  rqCity  +
                ", rqTele=" +  rqTele  +
                ", rqMail=" +  rqMail  +
                ", rqAddr=" +  rqAddr  +
                ", state=" +  state  +
                ", adTime=" +  adTime  +
                ", adUser=" +  adUser  +
                ", adId=" +  adId  +
                "]";
    }
}
